> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/dimensions.md).

# Dimensions

Dimensions are a way for users to segment their data beyond localization

You can add or update dimensions through [Settings](/reference/settings.md) > [Data models](/reference/settings/data-models.md) > [Dimensions](/reference/settings/data-models/dimensions.md).

### Add a dimension

1. Click "+ Create dimension"
2. Set Dimension name and Dimension icon along with additional [details](/reference/settings/data-models/dimensions/dimension-details.md)
3. Click "Save"

### Edit dimension

1. Click "Edit"-icon
2. Modify the [dimension details](/reference/settings/data-models/dimensions/dimension-details.md)
3. Click "Save"

### Delete dimension

1. Click "Delete"-icon
2. Confirm deletion

### Bulk delete dimensions

1. Select the dimensions you want to delete
2. Click "Delete dimension"-icon
3. Confirm deletion

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"

{% hint style="info" %}
Read more about segmentation here: [Localization & segmentation](broken://pages/pLaiU2CGfHNQ1DRBd9Vr)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-models/dimensions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
